Bug 1969538 - Install a VolumeSnapshotClass by default on CSI Drivers that support it
Summary: Install a VolumeSnapshotClass by default on CSI Drivers that support it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Christian Huffman
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-08 14:47 UTC by Christian Huffman
Modified: 2021-07-27 23:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:12:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift aws-ebs-csi-driver-operator pull 129 0 None open Bug 1969538: Include default VolumeSnapshotClass 2021-06-08 14:50:44 UTC
Github openshift azure-disk-csi-driver-operator pull 20 0 None open Bug 1969538: Include VolumeSnapshotClass by default 2021-06-08 14:54:28 UTC
Github openshift gcp-pd-csi-driver-operator pull 25 0 None open Bug 1969538: Include VolumeSnapshotClass by default 2021-06-08 14:54:54 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:12:29 UTC

Description Christian Huffman 2021-06-08 14:47:18 UTC
Some of the CSI Drivers we ship support VolumeSnapshots. We should create a default VolumeSnapshotClass in these drivers to assist in creating VolumeSnapshots.

Comment 3 Wei Duan 2021-06-10 12:21:22 UTC
Checked the three CSI driver above with 4.8.0-0.nightly-2021-06-10-045932, the VolumeSnapshotclass is installed by CSI Driver, and created VolumeSnapshot successfully with the VolumeSnapshotclass.
Marked as VERIFIED.

Comment 6 errata-xmlrpc 2021-07-27 23:12:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.